Skip to main content
Operations Management/Tenant Management (Plus)/Project Operations
POSTProject OperationsSince 2.4.0SynchronousAuth Required

AddAttributesToIAM2Project

AddAttributesToIAM2Project

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • attributesListRequired

      The attributes.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

POST/zstack/v1/iam2/projects/{uuid}/attributes

/zstack/v1/iam2/projects/{uuid}/attributes

Operation ID

AddAttributesToIAM2Project

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/iam2/projects/{uuid}/attributes' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"attributes":["<attributes>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history